import { JavaObject } from '../../../java/lang/JavaObject';
import { KursblockungOutput } from '../../../core/data/kursblockung/KursblockungOutput';
import { Vector } from '../../../java/util/Vector';
export declare class KursblockungOutputs extends JavaObject {
    blockungsRevision: number;
    outputs: Vector<KursblockungOutput>;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): KursblockungOutputs;
    static transpilerToJSON(obj: KursblockungOutputs): string;
    static transpilerToJSONPatch(obj: Partial<KursblockungOutputs>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_kursblockung_KursblockungOutputs(obj: unknown): KursblockungOutputs;
